
// QuatRegion.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, June 2005

/* A QuatRegion object holds the 'left', 'matching', 'attribute',
   and 'rest' regions generated by a match on a parent region/sequence.

   The left region is the region just before the matching one. The rest region
   is the region from just after the start landmark/tag to the end of the 
   parent region. left+rest == the parent region/sequence

   The attribute region extends from the end of the start tag to just before
   the closing ">" of the tag; it will be null if the tage doesn't have
   any attributes.

   This class acts as a four field structure for storing related values as 
   a single object.
*/


public class QuatRegion
{
  private Region leftRegion, matchingRegion, attributeRegion, restRegion;


  public QuatRegion(Region lr, Region mr, Region ar, Region rr)
  {
    leftRegion = lr;
    matchingRegion = mr;
    attributeRegion = ar;
    restRegion = rr;
  }  // end of QuatRegion()


  public Region getLeft()
  {  return leftRegion;  }

  public Region getMatch()
  {  return matchingRegion;  }

  public Region getAttrs()
  {  return attributeRegion;  }

  public Region getRest()
  {  return restRegion;  }

} // end of QuatRegion class
