
// TripleRegion.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, June 2005

/* A TripleRegion object holds the 'left', 'matching', and 'rest' regions 
   generated by a match on a parent region/sequence.

   The left region is the region just before the matching one. The rest region
   is the region from just after the start landmark/tag to the end of the 
   parent region. left+rest == the parent region/sequence

   This class acts as a three field structure for storing related values as 
   a single object.
*/


public class TripleRegion
{
  private Region leftRegion, matchingRegion, restRegion;


  public TripleRegion(Region lr, Region mr, Region rr)
  {
    leftRegion = lr;
    matchingRegion = mr;
    restRegion = rr;
  }  // end of TripleRegion()


  public Region getLeft()
  {  return leftRegion;  }

  public Region getMatch()
  {  return matchingRegion;  }

  public Region getRest()
  {  return restRegion;  }

} // end of TripleRegion class
